### File

`packages/eui-ecl/packages/core/src/lib/services/ecl-default-language.service.ts`

### Index

###### Methods

- getAllLanguageCodes
- getAllLanguages
- getEULanguageCodes
- getEULanguages
- getLanguageByCode
- getLanguagesByCodes
- isEuLanguage

### Methods

getAllLanguageCodes
`getAllLanguageCodes()`
Returns : `string[]`

getAllLanguages
`getAllLanguages()`
Returns : `Array<EclLanguage>`

getEULanguageCodes
`getEULanguageCodes()`
Returns : `Array<string>`

getEULanguages
`getEULanguages()`
Returns : `Array<EclLanguage>`

getLanguageByCode
`getLanguageByCode(code: string)`

Parameters :

Name | Type | Optional
code | `string` | No

Returns : `EclLanguage`

getLanguagesByCodes
`getLanguagesByCodes(codes: Array<string>)`

Parameters :

Name | Type | Optional
codes | `Array<string>` | No

Returns : `Array<EclLanguage>`

isEuLanguage
`isEuLanguage(code: string)`

Parameters :

Name | Type | Optional
code | `string` | No

Returns : `boolean`

# results matching ""

# No results matching ""